Issue 3491 - CSV Import: not possible to start beyond row 32000 & wrong error
Summary: CSV Import: not possible to start beyond row 32000 & wrong error
Status: ACCEPTED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: 642
Hardware: All All
: P4 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-14 17:14 UTC by mlsnjax
Modified: 2013-08-07 15:12 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
ZIPed bugdoc with 51200 lines (562.84 KB, application/octet-stream)
2002-03-15 16:33 UTC, frank
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description mlsnjax 2002-03-14 17:14:05 UTC
Opening a .CSV file containing more than 32000 rows creates several issues related to the Text 
Import Dialog
 
1)  The  From Row  control wrongly limits input records "bypassed" to 32000
        How 
many rows you have to "skip over" to reach desired rows has no relation to total table rows.

2)  
Fields display shows rows 1-31999 but if you click OK there are actually 32000 rows in table

3)  
Clicking OK to accept the file import returns message in box:
           Warning loading document
            file: 
blaa blaa blaa
            The maximum number of rows has been exceeded. Excess rows were not 
imported!.

    Which is to be expected.

    But, if you save the file and re-open it the same 
message appears again, even thought the "excess" rows were dropped during the save and the 32000 
rows are as intended.

Thus there seems to be difficulty in deciding if limit is 31999 or 
32000.

Apologies for errors/ommissions but this is my first time entering bugs.
Comment 1 frank 2002-03-15 16:16:56 UTC
Hi Mike and Eike,

a.) Yes more than 32000 rows to skip are not allowed and I agree it
should be much more.

b.) Checked it with 641 and I get 32001 numbered line headers and
these are 32000 lines.

c.) Open the csv and save it under a new name also to csv results in
this error message.

Eike I think it's your turn now. I will attach a bugdoc.

Frank
Comment 2 frank 2002-03-15 16:33:13 UTC
Created attachment 1217 [details]
ZIPed bugdoc with 51200 lines
Comment 3 ooo 2002-03-19 13:34:48 UTC
accepted
Comment 4 ooo 2002-12-09 14:47:20 UTC
Target to OOo 2.0
Comment 5 jur 2003-01-24 13:26:34 UTC
a real annoying issue in my daily work...
Comment 6 jur 2003-03-27 10:26:09 UTC
isn't it possible to change the number of possible rows just by
changing one number somewhere in the source code or is more work
needed? The 32.000 row limit is VERY annoying for me in my daily work :-/

I already looked at the sources, but I must admit that I couldn't find
the right place yet...
Comment 7 ooo 2003-03-27 11:10:48 UTC
See http://sc.openoffice.org/row-limit.html
Comment 8 ooo 2003-03-27 11:23:11 UTC
Actually this should had been closed as a dupe long time ago..


*** This issue has been marked as a duplicate of 1967 ***
Comment 9 ooo 2003-03-27 11:24:19 UTC
close dupe
Comment 10 jur 2003-03-27 11:25:30 UTC
Eike: Thanks, interesting read. 
Seems to be a bit more then only changing a variable ;-)
Comment 11 mlsnjax 2003-03-27 17:04:05 UTC
HELP!!!




Please Review - I believe you have mis-understood the issue I entered.




This is NOT the sheet-max issue (although it does relate to it).




This issue is directed to the wrongly set limit regarding 


the number of "imported rows" to be skipped BEFORE inserting into a 
sheet.




As another person (Jens-Uwe Rumstich) has said this is needed to work 
through the previously mentioned issue of rows-per-sheet limit.




Please contact me if I haven't made myself understood and I will try 
again.




Regards,




Mike Smith


MLSnJAX@juno.com


Comment 12 ooo 2003-03-28 11:40:25 UTC
oops, I was too fast on this.. hmm.. ok, this issue may be separated
from the 32k row limit if it's only viewed under the perspective of
the upper limit of the spin button / numeric edit field and resulting
obstacles.

As there is no need to have this task set to OOo2.0 (same target as
issue 1967 for the row limit that would include this) I set it to
OOo1.0.4 and try to get it into 1.1Beta2 too, but only if resources
permit, no guarantee => priority P4.

Btw, Mike, you should do something about your line spacing ;-)
Comment 13 ooo 2003-04-01 11:25:41 UTC
Hi Daniel,

As dicussed, this is one for you ;-)

If there is no time left for you to get this into 1.1Beta2, then we
should retarget it to either OOo2.0 or 1.1Final if possible. The 1.0.4
target is only valid as long as the change would go into both
branches, we can't change it for only 1.0.4 if we don't do it for 1.1
as well.

  Eike
Comment 14 daniel.rentz 2003-04-01 11:33:21 UTC
That's not that trivial to fix this. We should do it together with the extension of the 
core row limit. Therefore I set the target to 2.0.
Comment 15 Unknown 2003-08-31 20:53:24 UTC
my querry when i build from the spreadsheet it leaves off the numbers 
it remebers the first 100 and the rest are not there. that is in 2 
collums. how to fix it.
Comment 16 daniel.rentz 2003-09-16 09:34:26 UTC
title
Comment 17 mlsnjax 2003-09-22 14:08:28 UTC
Comment to Daniel: I read where the Description text was changed. 
While I don't have a real problem with that I do hope that my original 
use of _errors_ plural (to note several places where <>= comparisons 
are performed with differing results) is not lost in the 
simplification. If it helps get bugs exterminated then go right ahead.
Regards, Mike
Comment 18 daniel.rentz 2003-09-25 07:19:52 UTC
Mike,
Sorry, yes, there is also the one row too much in the preview.
Comment 19 Martin Hollmichel 2004-05-28 15:03:29 UTC
according to the announcement on releases
(http://www.openoffice.org/servlets/ReadMsg?list=releases&msgNo=7503) this issue
will be re-targeted to OOo Later.
Comment 20 daniel.rentz 2004-12-20 16:18:05 UTC
32000 rows limit already resolved in OOo 2.0.

Remaining problem:

PAGEDOWN and END keys do not work correctly. PAGEDOWN jumps only one 
row instead of one page, END does not work at all.
Comment 21 dridgway 2005-12-12 23:04:52 UTC
-> dr Since original issue is resolved, is there any need to keep this one open?
I tried it in 2.0.1RC1, and it looks good, but I don't understand the
PAGEDOWN/END keys comment.
Comment 22 daniel.rentz 2005-12-13 10:01:56 UTC
Open the attached file, and in the dialog, select the preview window. As stated,
the file has >50000 lines. The dialog does not read the entire file, but only a
few lines to display. Now press PAGE-DOWN a few times, until line 32 is visible.
Now, pressing PAGE-DOWN again, will scroll only one line at a time, not 8 or 9
lines as before. This is because the cached data is updated wrong. Also,
CTRL-END should jump to the last line of the file, but it jumps to the last
cached line only.